/* button2led
   Két LED felváltva világítson, a kapcsoló állásától függően:
    - Ha a kapcsoló nyitva van, a piros LED világítson!
    - Ha a kapcsoló zárva van, a zöld LED világítson!
 */
// Hardverfüggő rész Arduino kártyához
#define RED_LED   5
#define GREEN_LED 6
#define PUSH2     3

// Hardverfüggetlen rész (MSP430 Launchpad kártyán is futtatható!)
void setup() {
  pinMode(RED_LED,OUTPUT);       // legyen kimenet
  pinMode(GREEN_LED,OUTPUT);     // legyen kimenet
  pinMode(PUSH2,INPUT_PULLUP);   // Bemenet belső felhúzással
}

void loop() {
  boolean sw; 
  digitalWrite(RED_LED,digitalRead(PUSH2));    // világít, ha PUSH2 == HIGH
  digitalWrite(GREEN_LED,!digitalRead(PUSH2)); // világít, ha PUSH2 == LOW 
  delay(20);                     // pergésmentesítő késleltetés
} 
