/* twoled_fastio
 * Két LED vezérlése közvetlen port eléréssel 
 * Piros LED = D5, Zöld LED = D6, ezek PORTD 5. és 6. bitjei
 */

//Kezdeti beállítások
void setup() {
  DDRD |= 0b01100000;     // PORTD 5 és 6 bitje legyen kimenet!
  PORTD |= 0b00100000;    // Kezdetben PORTD_5 legyen HIGH!
  PORTD &= 0b10111111;    // Kezdetben PORTD_6 legyen LOW!
}

// a loop függvény újra és újra ismétlődik a végtelenségig
void loop() {
  PORTD ^= 0b01100000;    // a LED-ek állapotát átbillentjük (XOR művelettel)
  delay(1000);            // várunk egy másodpercig
}
